Python
from superu import SuperU
client = SuperU("YOUR_SUPERU_API_KEY")
payload = {
"agent_id": "76286489-86a8-4540-b479-b0154e474555",
"version_id": "69f884d50c4e5a2dc72277d4",
"version": "1.0.1",
"assistant_data": {
"key": "value"
},
"composio_app": {
"key": "value"
}
}
response = client.agents.update_version(**payload)
print(response)curl --request POST \\
--url https://voip-middlware.superu.ai/agent/version/update \\
--header 'superU-Api-Key: YOUR_SUPERU_API_KEY' \\
--data '{
"agent_id": "76286489-86a8-4540-b479-b0154e474555",
"version_id": "69f884d50c4e5a2dc72277d4",
"version": "1.0.1",
"assistant_data": {
"key": "value"
},
"composio_app": {
"key": "value"
}
}'{
"message": "Agent version created and deployed successfully",
"version_id": "69f884d50c4e5a2dc72277d4",
"version": "1.0.4"
}{
"status": "error",
"code": "BAD_REQUEST",
"message": "Request validation failed."
}{
"status": "error",
"code": "UNAUTHORIZED",
"message": "Invalid or missing superU-Api-Key."
}{
"status": "error",
"code": "NOT_FOUND",
"message": "Resource not found."
}{
"status": "error",
"code": "INTERNAL_SERVER_ERROR",
"message": "An unexpected server error occurred."
}{
"status": "error",
"code": "NOT_IMPLEMENTED",
"message": "This endpoint is not implemented for your workspace."
}Agent Versions
Update agent version
Updates an existing agent version.
POST
/
agent
/
version
/
update
Python
from superu import SuperU
client = SuperU("YOUR_SUPERU_API_KEY")
payload = {
"agent_id": "76286489-86a8-4540-b479-b0154e474555",
"version_id": "69f884d50c4e5a2dc72277d4",
"version": "1.0.1",
"assistant_data": {
"key": "value"
},
"composio_app": {
"key": "value"
}
}
response = client.agents.update_version(**payload)
print(response)curl --request POST \\
--url https://voip-middlware.superu.ai/agent/version/update \\
--header 'superU-Api-Key: YOUR_SUPERU_API_KEY' \\
--data '{
"agent_id": "76286489-86a8-4540-b479-b0154e474555",
"version_id": "69f884d50c4e5a2dc72277d4",
"version": "1.0.1",
"assistant_data": {
"key": "value"
},
"composio_app": {
"key": "value"
}
}'{
"message": "Agent version created and deployed successfully",
"version_id": "69f884d50c4e5a2dc72277d4",
"version": "1.0.4"
}{
"status": "error",
"code": "BAD_REQUEST",
"message": "Request validation failed."
}{
"status": "error",
"code": "UNAUTHORIZED",
"message": "Invalid or missing superU-Api-Key."
}{
"status": "error",
"code": "NOT_FOUND",
"message": "Resource not found."
}{
"status": "error",
"code": "INTERNAL_SERVER_ERROR",
"message": "An unexpected server error occurred."
}{
"status": "error",
"code": "NOT_IMPLEMENTED",
"message": "This endpoint is not implemented for your workspace."
}Authorizations
Your SuperU API key.
Body
application/json
Request body for Update agent version.
Agent Version Update Request schema.
Agent ID
Example:
"76286489-86a8-4540-b479-b0154e474555"
Version ID
Example:
"69f884d50c4e5a2dc72277d4"
New version label
Example:
"1.0.1"
Assistant data value.
Example:
{ "key": "value" }
Optional composio app configuration.
Example:
{ "key": "value" }

